//+------------------------------------------------------------------+
//|                                                 Z_MTF_RSI.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Z_MTF_RSI"
#property link      "Z_MTF_RSI"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Lime //Yellow

//#property indicator_level1 90 //80
//#property indicator_level2 50 
//#property indicator_level3 10 //20

#property indicator_maximum 100                     
#property indicator_minimum 0

extern int   TimeFrame=0;
extern int   RSIperiod=5;//14 <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
extern int   applied_price=0;
extern int   LineSize=3;//1
extern int   CountBars=200;


double ExtMapBuffer1[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

//---- indicators
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,LineSize);
   SetIndexBuffer(0,ExtMapBuffer1);

  
//---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   string short_name;
   short_name="Z_MTF_RSI("+TimeFrame+","+RSIperiod+")";
    IndicatorShortName(short_name);     //    ("+TimeFrame+","+???????+","+???????+")";
     SetIndexLabel(0,short_name);
  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF Parabolic Sar                                         |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();

// Plot defined time frame on to current time frame
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   //limit=Bars-counted_bars+TimeFrame/Period();
   limit=Bars-counted_bars;
   if(counted_bars>0) limit++; else if (limit>100) limit=CountBars;  
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;


   ExtMapBuffer1[i]=iRSI(NULL,TimeFrame,RSIperiod,applied_price,y) ;

   
   }  
   return(0);
  }
//+------------------------------------------------------------------+



